# Filters added to this controller apply to all controllers in the application.
# Likewise, all the methods added will be available for all controllers.

class ApplicationController < ActionController::Base
  helper :all # include all helpers, all the time

  # See ActionController::RequestForgeryProtection for details
  # Uncomment the :secret if you're not using the cookie session store
  # protect_from_forgery # :secret => 'd55655c71a35d82a8e3d8ef59f05ed58'

  # Be sure to include AuthenticationSystem in Application Controller instead
  include AuthenticatedSystem
  # If you want "remember me" functionality, add this before_filter to Application Controller
  before_filter :login_from_cookie
  before_filter :login_required
  before_filter :verify_authenticity_token_except_atom

  private

  def set_session_options(request)
    if atom_request?(request)
      request.session_options = false
    else
      super(request)
    end
  end

  def verify_authenticity_token_except_atom
    if atom_request?(request)
      self.request_forgery_protection_token ||= :authenticity_token
      return verify_authenticity_token
    else
      return true
    end
  end

  def atom_request?(request)
    return request.parameters[:format] == "atom" ||
      request.accepts.length > 0 &&
      request.accepts[0].to_sym == :atom
  end
end
